Subject: Re: bug#13730: 24.3.50; Diff from Bzr-Log-View not highlighted

From: Glenn Morris <[email-masked]>
Date: Sun, 17 Feb 2013 01:36:41 -0500

Please keep the debbugs address cc'd.

Richard Copley wrote (on Sun, 17 Feb 2013 at 03:35 +0000):

> > Do you mean that font-locking should be enabled in the *vc-diff* buffer?
> > If so, it is for me. (Try bootstrapping?)
> 
> That is what I mean, yes. Curious. Did you follow the recipe from
> "emacs -Q"? Not all *vc-diff* buffers are affected.

Yes. Works for me.

> >> The trunk revision in which this stopped working is in (111784,11794].
> 
> Make that (111793,111794]. Revision 111794 introduces a new feature
> in "easy-mmode.el" that allows major mode functions to disable
> global minor modes by explicitly turning off the corresponding minor
> mode. Unfortunately font-lock gets turned off in a
> change-major-mode-hook function (font-lock-change-mode in
> "font-core.el"), which doesn't seem to have been anticipated.
> 
> I can't say I understand why this doesn't cause
> global-font-lock-mode to be disabled in all major modes in all
> circumstances. It could be a question of whether
> font-lock-change-mode or global-font-lock-mode-enable-in-buffers is
> earlier in change-major-mode-hook.